CGAL 6.2 - 2D Arrangements: CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::Curve_2 Class Reference

CGAL 6.2 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::Curve_2 Class Reference

`#include <CGAL/Arr_rational_function_traits_2.h>`

## Definition

template<typename AlgebraicKernel_d_1>
class CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::Curve_2

The `Curve_2` class nested within the traits is used to represent rational functions which may be restricted to a certain \(x\)-range.

Is model of
  `ArrTraits::Curve_2`

## Types
typedef AlgebraicKernel_d_1::Polynomial_1 | Polynomial_1
typedef AlgebraicKernel_d_1::Algebraic_real_1 | Algebraic_real_1

## Operations
const Polynomial_1 & | numerator () const
| returns the numerator of the supporting rational function.
const Polynomial_1 & | denominator () const
| returns the denominator of the supporting rational function.
bool | is_continuous () const
| returns whether çurve is continuous, namely whether it does not contains any vertical asymptotes in its interior.
Arr_parameter_space | left_parameter_space_in_x () const
| returns whether the \(x\)-coordinate of çurve's left end is finite or whether it is \(\pm\infty\).
Arr_parameter_space | right_parameter_space_in_x () const
| returns whether the \(x\)-coordinate of çurve's right end is finite or whether it is \(\pm\infty\).
Algebraic_real_1 | left_x () const
| returns the \(x\)-coordinate of the left end.
Algebraic_real_1 | right_x () const
| returns the \(x\)-coordinate of the right end.

## Member Function Documentation

## ◆ left_x()

template<typename AlgebraicKernel_d_1 >

Algebraic_real_1 CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::Curve_2::left_x | ( |  | ) | const

returns the \(x\)-coordinate of the left end.

Precondition
  `left_boundary_in_x()` == `ARR_INTERIOR`

## ◆ right_x()

template<typename AlgebraicKernel_d_1 >

Algebraic_real_1 CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::Curve_2::right_x | ( |  | ) | const

returns the \(x\)-coordinate of the right end.

Precondition
  `right_boundary_in_x()` == `ARR_INTERIOR`